/*
 * Character.h
 *
 *  Created on: 18/mar/2013
 *      Author: utente
 */

#ifndef CHARACTER_H_
#define CHARACTER_H_

class Character {
public:
	int fight(Character& enemy);
	void move(int x, int y);
    int getArmor() const {
        return armor;
    }
    int getHP() const {
        return HP;
    }
    int getWeapon() const {
        return weapon;
    }
    void setArmor(int armor) {
        this->armor = armor;
    }
    void setHP(int HP) {
        this->HP = HP;
    }
    void setWeapon(int weapon) {
        this->weapon = weapon;
    }

private:
	int HP;
	int armor;
	int weapon;
	int posX, posY;
};


#endif /* CHARACTER_H_ */
